## maliit-framework 0.81.4-maemo0

=== Makefile ===
#############################################################################
# Makefile for building: meego-im-uiserver
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 28 19:01:04 2013
# Project:  maliit-framework.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-framework.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-common \
		sub-connection \
		sub-src \
		sub-passthroughserver \
		sub-maliit \
		sub-gtk-input-context \
		sub-maliit-plugins-quick \
		sub-examples \
		sub-input-context \
		sub-doc

common/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) common/ || $(MKDIR) common/ 
	cd common/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/common/common.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-common-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) common/ || $(MKDIR) common/ 
	cd common/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/common/common.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-common: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE)
sub-common-make_default-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) 
sub-common-make_default: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) 
sub-common-make_first-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) first
sub-common-make_first: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) first
sub-common-all-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) all
sub-common-all: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) all
sub-common-clean-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) clean
sub-common-clean: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) clean
sub-common-distclean-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) distclean
sub-common-distclean: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) distclean
sub-common-install_subtargets-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) install
sub-common-install_subtargets: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) install
sub-common-uninstall_subtargets-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-common-uninstall_subtargets: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) uninstall
connection/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) connection/ || $(MKDIR) connection/ 
	cd connection/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/connection/connection.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-connection-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) connection/ || $(MKDIR) connection/ 
	cd connection/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/connection/connection.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-connection: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE)
sub-connection-make_default-ordered: connection/$(MAKEFILE) sub-common-make_default-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) 
sub-connection-make_default: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) 
sub-connection-make_first-ordered: connection/$(MAKEFILE) sub-common-make_first-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) first
sub-connection-make_first: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) first
sub-connection-all-ordered: connection/$(MAKEFILE) sub-common-all-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) all
sub-connection-all: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) all
sub-connection-clean-ordered: connection/$(MAKEFILE) sub-common-clean-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) clean
sub-connection-clean: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) clean
sub-connection-distclean-ordered: connection/$(MAKEFILE) sub-common-distclean-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) distclean
sub-connection-distclean: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) distclean
sub-connection-install_subtargets-ordered: connection/$(MAKEFILE) sub-common-install_subtargets-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) install
sub-connection-install_subtargets: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) install
sub-connection-uninstall_subtargets-ordered: connection/$(MAKEFILE) sub-common-uninstall_subtargets-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-connection-uninstall_subtargets: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) uninstall
src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) sub-connection-make_default-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) sub-connection-make_first-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) sub-connection-all-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) sub-connection-clean-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) sub-connection-distclean-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) sub-connection-install_subtargets-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) sub-connection-uninstall_subtargets-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
passthroughserver/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) passthroughserver/ || $(MKDIR) passthroughserver/ 
	cd passthroughserver/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/passthroughserver/passthroughserver.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-passthroughserver-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) passthroughserver/ || $(MKDIR) passthroughserver/ 
	cd passthroughserver/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/passthroughserver/passthroughserver.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-passthroughserver: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE)
sub-passthroughserver-make_default-ordered: passthroughserver/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) 
sub-passthroughserver-make_default: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) 
sub-passthroughserver-make_first-ordered: passthroughserver/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) first
sub-passthroughserver-make_first: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) first
sub-passthroughserver-all-ordered: passthroughserver/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) all
sub-passthroughserver-all: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) all
sub-passthroughserver-clean-ordered: passthroughserver/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) clean
sub-passthroughserver-clean: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) clean
sub-passthroughserver-distclean-ordered: passthroughserver/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) distclean
sub-passthroughserver-distclean: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) distclean
sub-passthroughserver-install_subtargets-ordered: passthroughserver/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) install
sub-passthroughserver-install_subtargets: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) install
sub-passthroughserver-uninstall_subtargets-ordered: passthroughserver/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-passthroughserver-uninstall_subtargets: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) uninstall
maliit/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) maliit/ || $(MKDIR) maliit/ 
	cd maliit/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/maliit/maliit.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-maliit-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) maliit/ || $(MKDIR) maliit/
