=== common/Makefile ===
#############################################################################
# Makefile for building: libmaliit-common.a
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:28 2013
# Project:  common.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile common.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I/usr/X11R6/include -I.moc
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       =  
OBJECTS       = 
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		common.pro
QMAKE_TARGET  = maliit-common
DESTDIR       = 
TARGET        = libmaliit-common.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: common.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile common.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile common.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-common1.0.0 || $(MKDIR) .obj/maliit-common1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-common1.0.0/ && $(COPY_FILE) --parents minputmethodnamespace.h maliit/namespace.h maliit/namespaceinternal.h .obj/maliit-common1.0.0/ && (cd `dirname .obj/maliit-common1.0.0` && $(TAR) maliit-common1.0.0.tar maliit-common1.0.0 && $(COMPRESS) maliit-common1.0.0.tar) && $(MOVE) `dirname .obj/maliit-common1.0.0`/maliit-common1.0.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-common1.0.0


clean:compiler_clean 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

####### Install

install_headers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/common/minputmethodnamespace.h $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/


uninstall_headers:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/minputmethodnamespace.h
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/ 


install_frameworkheaders: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/common/maliit/namespace.h $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/


uninstall_frameworkheaders:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/namespace.h
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/ 


install_install_pkgconfig: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/pkgconfig/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/pkgconfig/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/common/maliit-framework-0.80.pc $(INSTALL_ROOT)/usr/lib/pkgconfig/


uninstall_install_pkgconfig:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/pkgconfig/maliit-framework-0.80.pc
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/pkgconfig/ 


install:  install_headers install_frameworkheaders install_install_pkgconfig  FORCE

uninstall: uninstall_headers uninstall_frameworkheaders uninstall_install_pkgconfig   FORCE

FORCE:
