=== connection/Makefile ===
#############################################################################
# Makefile for building: libmaliit-connection.a
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:28 2013
# Project:  connection.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile connection.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include/QtDBus -I/targets/fremantle/usr/include -I../common -I.moc -I/usr/X11R6/include
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = mimserverconnection.cpp \
		minputcontextconnection.cpp \
		variantmarshalling.cpp \
		mdbusglibinputcontextadaptor.cpp \
		glibdbusimserverproxy.cpp \
		inputcontextdbusaddress.cpp \
		minputcontextglibdbusconnection.cpp \
		serverdbusaddress.cpp .moc/moc_mimserverconnection.cpp \
		.moc/moc_minputcontextconnection.cpp \
		.moc/moc_glibdbusimserverproxy.cpp \
		.moc/moc_minputcontextglibdbusconnection.cpp \
		.moc/moc_serverdbusaddress.cpp
OBJECTS       = .obj/mimserverconnection.o \
		.obj/minputcontextconnection.o \
		.obj/variantmarshalling.o \
		.obj/mdbusglibinputcontextadaptor.o \
		.obj/glibdbusimserverproxy.o \
		.obj/inputcontextdbusaddress.o \
		.obj/minputcontextglibdbusconnection.o \
		.obj/serverdbusaddress.o \
		.obj/moc_mimserverconnection.o \
		.obj/moc_minputcontextconnection.o \
		.obj/moc_glibdbusimserverproxy.o \
		.obj/moc_minputcontextglibdbusconnection.o \
		.obj/moc_serverdbusaddress.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		connection.pro
QMAKE_TARGET  = maliit-connection
DESTDIR       = 
TARGET        = libmaliit-connection.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) ../common/libmaliit-common.a
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: connection.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile connection.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile connection.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-connection0.1.0 || $(MKDIR) .obj/maliit-connection0.1.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-connection0.1.0/ && $(COPY_FILE) --parents mimserverconnection.h minputcontextconnection.h variantmarshalling.h mdbusglibinputcontextadaptor.h glibdbusimserverproxy.h inputcontextdbusaddress.h minputcontextglibdbusconnection.h serverdbusaddress.h .obj/maliit-connection0.1.0/ && $(COPY_FILE) --parents mimserverconnection.cpp minputcontextconnection.cpp variantmarshalling.cpp mdbusglibinputcontextadaptor.cpp glibdbusimserverproxy.cpp inputcontextdbusaddress.cpp minputcontextglibdbusconnection.cpp serverdbusaddress.cpp .obj/maliit-connection0.1.0/ && (cd `dirname .obj/maliit-connection0.1.0` && $(TAR) maliit-connection0.1.0.tar maliit-connection0.1.0 && $(COMPRESS) maliit-connection0.1.0.tar) && $(MOVE) `dirname .obj/maliit-connection0.1.0`/maliit-connection0.1.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-connection0.1.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/connection/mdbusglibicconnectionserviceglue.h: /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/connection/minputmethodserver1interface.xml
