=== doc/Makefile ===
#############################################################################
# Makefile for building: libdummy.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 28 19:01:04 2013
# Project:  doc.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile doc.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I/usr/X11R6/include -I/home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -shared
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       =  
OBJECTS       = 
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		doc.pro
QMAKE_TARGET  = dummy
DESTDIR       = 
TARGET        = libdummy.so
TARGETD       = libdummy.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET): html/index.html $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: doc.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile doc.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile doc.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/dummy1.0.0 || $(MKDIR) .obj/dummy1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/dummy1.0.0/ && $(COPY_FILE) --parents . .obj/dummy1.0.0/ && (cd `dirname .obj/dummy1.0.0` && $(TAR) dummy1.0.0.tar dummy1.0.0 && $(COMPRESS) dummy1.0.0.tar) && $(MOVE) `dirname .obj/dummy1.0.0`/dummy1.0.0.tar.gz . && $(DEL_FILE) -r .obj/dummy1.0.0


clean:compiler_clean 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_doc_make_all: html/index.html
compiler_doc_clean:
	rm -rf /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html//*
	-$(DEL_FILE) doxygen.log doxygen.log.xml
html/index.html: .
	doxygen /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/mdoxy.cfg; cp /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/src/images/* /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html/ ; cp /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/src/*.html /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html/ ; /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/xmlize.pl;

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_doc_clean 

####### Compile

####### Install

install_htmldocs: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/doc/maliit-framework/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/doc/maliit-framework/ 
	-$(INSTALL_DIR) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html $(INSTALL_ROOT)/usr/share/doc/maliit-framework/


uninstall_htmldocs:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/doc/maliit-framework/html
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/doc/maliit-framework/ 


install:  install_htmldocs  FORCE

uninstall: uninstall_htmldocs   FORCE

FORCE:
