=== gtk-input-context/Makefile ===
#############################################################################
# Makefile for building: gtk-input-context
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:00 2013
# Project:  gtk-input-context.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile gtk-input-context.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-client-gtk

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
client-gtk/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) client-gtk/ || $(MKDIR) client-gtk/ 
	cd client-gtk/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/client-gtk/client-gtk.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-client-gtk-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) client-gtk/ || $(MKDIR) client-gtk/ 
	cd client-gtk/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/client-gtk/client-gtk.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-client-gtk: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE)
sub-client-gtk-make_default-ordered: client-gtk/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) 
sub-client-gtk-make_default: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) 
sub-client-gtk-make_first-ordered: client-gtk/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) first
sub-client-gtk-make_first: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) first
sub-client-gtk-all-ordered: client-gtk/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) all
sub-client-gtk-all: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) all
sub-client-gtk-clean-ordered: client-gtk/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) clean
sub-client-gtk-clean: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) clean
sub-client-gtk-distclean-ordered: client-gtk/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) distclean
sub-client-gtk-distclean: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) distclean
sub-client-gtk-install_subtargets-ordered: client-gtk/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) install
sub-client-gtk-install_subtargets: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) install
sub-client-gtk-uninstall_subtargets-ordered: client-gtk/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-client-gtk-uninstall_subtargets: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: gtk-input-context.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile gtk-input-context.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile gtk-input-context.pro

qmake_all: sub-src-qmake_all sub-client-gtk-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-client-gtk-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-client-gtk-make_first-ordered FORCE
all: sub-src-all-ordered sub-client-gtk-all-ordered FORCE
clean: sub-src-clean-ordered sub-client-gtk-clean-ordered FORCE
distclean: sub-src-distclean-ordered sub-client-gtk-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets-ordered sub-client-gtk-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-client-gtk-uninstall_subtargets-ordered FORCE

sub-src-check_ordered: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
sub-client-gtk-check_ordered: client-gtk/$(MAKEFILE) sub-src-check_ordered 
	cd client-gtk/ && $(MAKE) check
check: sub-src-check_ordered sub-client-gtk-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
