=== maliit-plugins-quick/Makefile ===
#############################################################################
# Makefile for building: maliit-plugins-quick
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:00 2013
# Project:  maliit-plugins-quick.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-plugins-quick.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-input-method \
		sub-plugin-factory

input-method/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) input-method/ || $(MKDIR) input-method/ 
	cd input-method/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/input-method/input-method.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-input-method-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) input-method/ || $(MKDIR) input-method/ 
	cd input-method/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/input-method/input-method.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-input-method: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE)
sub-input-method-make_default-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) 
sub-input-method-make_default: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) 
sub-input-method-make_first-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) first
sub-input-method-make_first: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) first
sub-input-method-all-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) all
sub-input-method-all: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) all
sub-input-method-clean-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) clean
sub-input-method-clean: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) clean
sub-input-method-distclean-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) distclean
sub-input-method-distclean: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) distclean
sub-input-method-install_subtargets-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) install
sub-input-method-install_subtargets: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) install
sub-input-method-uninstall_subtargets-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-input-method-uninstall_subtargets: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) uninstall
plugin-factory/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugin-factory/ || $(MKDIR) plugin-factory/ 
	cd plugin-factory/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/plugin-factory/plugin-factory.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plugin-factory-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugin-factory/ || $(MKDIR) plugin-factory/ 
	cd plugin-factory/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/plugin-factory/plugin-factory.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plugin-factory: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE)
sub-plugin-factory-make_default-ordered: plugin-factory/$(MAKEFILE) sub-input-method-make_default-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-factory-make_default: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-factory-make_first-ordered: plugin-factory/$(MAKEFILE) sub-input-method-make_first-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-factory-make_first: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-factory-all-ordered: plugin-factory/$(MAKEFILE) sub-input-method-all-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-factory-all: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-factory-clean-ordered: plugin-factory/$(MAKEFILE) sub-input-method-clean-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-factory-clean: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-factory-distclean-ordered: plugin-factory/$(MAKEFILE) sub-input-method-distclean-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-factory-distclean: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-factory-install_subtargets-ordered: plugin-factory/$(MAKEFILE) sub-input-method-install_subtargets-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-factory-install_subtargets: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-factory-uninstall_subtargets-ordered: plugin-factory/$(MAKEFILE) sub-input-method-uninstall_subtargets-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-plugin-factory-uninstall_subtargets: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: maliit-plugins-quick.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-plugins-quick.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-plugins-quick.pro

qmake_all: sub-input-method-qmake_all sub-plugin-factory-qmake_all FORCE

make_default: sub-input-method-make_default-ordered sub-plugin-factory-make_default-ordered FORCE
make_first: sub-input-method-make_first-ordered sub-plugin-factory-make_first-ordered FORCE
all: sub-input-method-all-ordered sub-plugin-factory-all-ordered FORCE
clean: sub-input-method-clean-ordered sub-plugin-factory-clean-ordered FORCE
distclean: sub-input-method-distclean-ordered sub-plugin-factory-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-input-method-install_subtargets-ordered sub-plugin-factory-install_subtargets-ordered FORCE
uninstall_subtargets: sub-input-method-uninstall_subtargets-ordered sub-plugin-factory-uninstall_subtargets-ordered FORCE

sub-input-method-check_ordered: input-method/$(MAKEFILE)
	cd input-method/ && $(MAKE) check
sub-plugin-factory-check_ordered: plugin-factory/$(MAKEFILE) sub-input-method-check_ordered 
	cd plugin-factory/ && $(MAKE) check
check: sub-input-method-check_ordered sub-plugin-factory-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
