=== maliit/Makefile ===
#############################################################################
# Makefile for building: libmaliit-1.0.so.0.1.0
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:29 2013
# Project:  maliit.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I.. -I../common -I/usr/X11R6/include -I.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,-rpath,/usr/lib -shared -Wl,-soname,libmaliit-1.0.so.0
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = preeditinjectionevent.cpp \
		inputmethod.cpp \
		attributeextension.cpp \
		attributeextensionregistry.cpp .moc/moc_inputmethod.cpp \
		.moc/moc_attributeextension.cpp \
		.moc/moc_attributeextensionregistry.cpp
OBJECTS       = .obj/preeditinjectionevent.o \
		.obj/inputmethod.o \
		.obj/attributeextension.o \
		.obj/attributeextensionregistry.o \
		.obj/moc_inputmethod.o \
		.obj/moc_attributeextension.o \
		.obj/moc_attributeextensionregistry.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		maliit.pro
QMAKE_TARGET  = maliit-1.0
DESTDIR       = 
TARGET        = libmaliit-1.0.so.0.1.0
TARGETA       = libmaliit-1.0.a
TARGETD       = libmaliit-1.0.so.0.1.0
TARGET0       = libmaliit-1.0.so
TARGET1       = libmaliit-1.0.so.0
TARGET2       = libmaliit-1.0.so.0.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: maliit.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-1.00.1.0 || $(MKDIR) .obj/maliit-1.00.1.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-1.00.1.0/ && $(COPY_FILE) --parents preeditinjectionevent.h inputmethod.h attributeextension.h preeditinjectionevent_p.h inputmethod_p.h attributeextension_p.h attributeextensionregistry_p.h attributeextensionregistry.h .obj/maliit-1.00.1.0/ && $(COPY_FILE) --parents preeditinjectionevent.cpp inputmethod.cpp attributeextension.cpp attributeextensionregistry.cpp .obj/maliit-1.00.1.0/ && (cd `dirname .obj/maliit-1.00.1.0` && $(TAR) maliit-1.00.1.0.tar maliit-1.00.1.0 && $(COMPRESS) maliit-1.00.1.0.tar) && $(MOVE) `dirname .obj/maliit-1.00.1.0`/maliit-1.00.1.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-1.00.1.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) .obj/*.gcno .obj/*.gcda
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_inputmethod.cpp .moc/moc_attributeextension.cpp .moc/moc_attributeextensionregistry.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_inputmethod.cpp .moc/moc_attributeextension.cpp .moc/moc_attributeextensionregistry.cpp
.moc/moc_inputmethod.cpp: inputmethod.h
	/usr/bin/moc $(DEFINES) $(INCPATH) inputmethod.h -o .moc/moc_inputmethod.cpp

.moc/moc_attributeextension.cpp: attributeextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) attributeextension.h -o .moc/moc_attributeextension.cpp

.moc/moc_attributeextensionregistry.cpp: attributeextension.h \
		attributeextensionregistry.h
	/usr/bin/moc $(DEFINES) $(INCPATH) attributeextensionregistry.h -o .moc/moc_attributeextensionregistry.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.obj/preeditinjectionevent.o: preeditinjectionevent.cpp preeditinjectionevent.h \
		preeditinjectionevent_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/preeditinjectionevent.o preeditinjectionevent.cpp

.obj/inputmethod.o: inputmethod.cpp inputmethod.h \
		inputmethod_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/inputmethod.o inputmethod.cpp
