=== src/Makefile ===
#############################################################################
# Makefile for building: libmaliit-plugins-0.80.so.0.1.0
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:28 2013
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include/QtXml -I/targets/fremantle/usr/include -I/targets/fremantle/usr/include/QtDBus -I.. -I../common -I../connection -I.moc -I/usr/X11R6/include
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,-rpath,/usr/lib -shared -Wl,-soname,libmaliit-plugins-0.80.so.0
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -lXcomposite -lXdamage -lXfixes ../connection/libmaliit-connection.a -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = mimabstractpluginfactory.cpp \
		mimpluginmanager.cpp \
		mimpluginmanageradaptor.cpp \
		mabstractinputmethod.cpp \
		mabstractinputmethodhost.cpp \
		minputmethodhost.cpp \
		mtoolbaritem.cpp \
		mtoolbardata.cpp \
		mkeyoverride.cpp \
		mkeyoverridedata.cpp \
		mattributeextensionmanager.cpp \
		mattributeextensionid.cpp \
		mattributeextension.cpp \
		mtoolbarlayout.cpp \
		mimextensionevent.cpp \
		mimupdateevent.cpp \
		mimupdatereceiver.cpp \
		mimsettings.cpp \
		mimhwkeyboardtracker.cpp \
		mimgraphicsview.cpp \
		mimwidget.cpp \
		mimplugindescription.cpp \
		mimpluginsproxywidget.cpp \
		mimonscreenplugins.cpp \
		mimsubviewdescription.cpp \
		mimdummyinputcontext.cpp \
		mimserver.cpp \
		mindicatorserviceclient.cpp \
		mimsubviewoverride.cpp \
		mtoolbaritemfilter.cpp \
		mimremotewindow.cpp \
		mimxerrortrap.cpp \
		mimxextension.cpp \
		mpassthruwindow.cpp \
		mimrotationanimation.cpp \
		mimxapplication.cpp .moc/moc_mabstractinputmethod.cpp \
		.moc/moc_mabstractinputmethodhost.cpp \
		.moc/moc_mtoolbaritem.cpp \
		.moc/moc_mtoolbardata.cpp \
		.moc/moc_mkeyoverride.cpp \
		.moc/moc_mkeyoverridedata.cpp \
		.moc/moc_mattributeextension.cpp \
		.moc/moc_mimupdatereceiver.cpp \
		.moc/moc_mimgraphicsview.cpp \
		.moc/moc_mimwidget.cpp \
		.moc/moc_mimsettings.cpp \
		.moc/moc_mimpluginmanageradaptor.cpp \
		.moc/moc_minputmethodhost.cpp \
		.moc/moc_mattributeextensionmanager.cpp \
		.moc/moc_mimhwkeyboardtracker.cpp \
		.moc/moc_mimpluginsproxywidget.cpp \
		.moc/moc_mimonscreenplugins.cpp \
		.moc/moc_mimdummyinputcontext.cpp \
		.moc/moc_mimserver.cpp \
		.moc/moc_mimsubviewoverride.cpp \
		.moc/moc_mpassthruwindow.cpp \
		.moc/moc_mimremotewindow.cpp \
		.moc/moc_mimrotationanimation.cpp \
		.moc/moc_mimxapplication.cpp
OBJECTS       = .obj/mimabstractpluginfactory.o \
		.obj/mimpluginmanager.o \
		.obj/mimpluginmanageradaptor.o \
		.obj/mabstractinputmethod.o \
		.obj/mabstractinputmethodhost.o \
		.obj/minputmethodhost.o \
		.obj/mtoolbaritem.o \
		.obj/mtoolbardata.o \
		.obj/mkeyoverride.o \
		.obj/mkeyoverridedata.o \
		.obj/mattributeextensionmanager.o \
		.obj/mattributeextensionid.o \
		.obj/mattributeextension.o \
		.obj/mtoolbarlayout.o \
		.obj/mimextensionevent.o \
		.obj/mimupdateevent.o \
		.obj/mimupdatereceiver.o \
		.obj/mimsettings.o \
		.obj/mimhwkeyboardtracker.o \
		.obj/mimgraphicsview.o \
		.obj/mimwidget.o \
		.obj/mimplugindescription.o \
		.obj/mimpluginsproxywidget.o \
		.obj/mimonscreenplugins.o \
		.obj/mimsubviewdescription.o \
		.obj/mimdummyinputcontext.o \
		.obj/mimserver.o \
		.obj/mindicatorserviceclient.o \
		.obj/mimsubviewoverride.o \
		.obj/mtoolbaritemfilter.o \
		.obj/mimremotewindow.o \
		.obj/mimxerrortrap.o \
		.obj/mimxextension.o \
		.obj/mpassthruwindow.o \
		.obj/mimrotationanimation.o \
		.obj/mimxapplication.o \
		.obj/moc_mabstractinputmethod.o \
		.obj/moc_mabstractinputmethodhost.o \
		.obj/moc_mtoolbaritem.o \
		.obj/moc_mtoolbardata.o \
		.obj/moc_mkeyoverride.o \
		.obj/moc_mkeyoverridedata.o \
		.obj/moc_mattributeextension.o \
		.obj/moc_mimupdatereceiver.o \
		.obj/moc_mimgraphicsview.o \
		.obj/moc_mimwidget.o \
		.obj/moc_mimsettings.o \
		.obj/moc_mimpluginmanageradaptor.o \
		.obj/moc_minputmethodhost.o \
		.obj/moc_mattributeextensionmanager.o \
		.obj/moc_mimhwkeyboardtracker.o \
		.obj/moc_mimpluginsproxywidget.o \
		.obj/moc_mimonscreenplugins.o \
		.obj/moc_mimdummyinputcontext.o \
		.obj/moc_mimserver.o \
		.obj/moc_mimsubviewoverride.o \
		.obj/moc_mpassthruwindow.o \
		.obj/moc_mimremotewindow.o \
		.obj/moc_mimrotationanimation.o \
		.obj/moc_mimxapplication.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = maliit-plugins-0.80
DESTDIR       = 
TARGET        = libmaliit-plugins-0.80.so.0.1.0
TARGETA       = libmaliit-plugins-0.80.a
TARGETD       = libmaliit-plugins-0.80.so.0.1.0
TARGET0       = libmaliit-plugins-0.80.so
TARGET1       = libmaliit-plugins-0.80.so.0
TARGET2       = libmaliit-plugins-0.80.so.0.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  ../connection/libmaliit-connection.a
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) ../connection/libmaliit-connection.a
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: src.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile src.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
