=== examples/apps/Makefile ===
#############################################################################
# Makefile for building: apps
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:01 2013
# Project:  apps.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile apps.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-plainqt \
		sub-twofields \
		sub-widgetproperties \
		sub-allinputmethods \
		sub-gtk2

plainqt/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plainqt/ || $(MKDIR) plainqt/ 
	cd plainqt/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/plainqt/plainqt.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plainqt-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plainqt/ || $(MKDIR) plainqt/ 
	cd plainqt/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/plainqt/plainqt.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plainqt: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE)
sub-plainqt-make_default: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) 
sub-plainqt-make_first: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) first
sub-plainqt-all: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) all
sub-plainqt-clean: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) clean
sub-plainqt-distclean: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plainqt-install_subtargets: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) install
sub-plainqt-uninstall_subtargets: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) uninstall
twofields/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) twofields/ || $(MKDIR) twofields/ 
	cd twofields/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/twofields/twofields.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-twofields-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) twofields/ || $(MKDIR) twofields/ 
	cd twofields/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/twofields/twofields.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-twofields: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE)
sub-twofields-make_default: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) 
sub-twofields-make_first: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) first
sub-twofields-all: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) all
sub-twofields-clean: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) clean
sub-twofields-distclean: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) distclean
sub-twofields-install_subtargets: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) install
sub-twofields-uninstall_subtargets: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) uninstall
widgetproperties/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) widgetproperties/ || $(MKDIR) widgetproperties/ 
	cd widgetproperties/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/widgetproperties/widgetproperties.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-widgetproperties-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) widgetproperties/ || $(MKDIR) widgetproperties/ 
	cd widgetproperties/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/widgetproperties/widgetproperties.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-widgetproperties: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE)
sub-widgetproperties-make_default: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) 
sub-widgetproperties-make_first: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) first
sub-widgetproperties-all: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) all
sub-widgetproperties-clean: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) clean
sub-widgetproperties-distclean: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) distclean
sub-widgetproperties-install_subtargets: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) install
sub-widgetproperties-uninstall_subtargets: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) uninstall
allinputmethods/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) allinputmethods/ || $(MKDIR) allinputmethods/ 
	cd allinputmethods/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/allinputmethods/allinputmethods.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-allinputmethods-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) allinputmethods/ || $(MKDIR) allinputmethods/ 
	cd allinputmethods/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/allinputmethods/allinputmethods.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-allinputmethods: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE)
sub-allinputmethods-make_default: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) 
sub-allinputmethods-make_first: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) first
sub-allinputmethods-all: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) all
sub-allinputmethods-clean: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) clean
sub-allinputmethods-distclean: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) distclean
sub-allinputmethods-install_subtargets: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) install
sub-allinputmethods-uninstall_subtargets: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) uninstall
gtk2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) gtk2/ || $(MKDIR) gtk2/ 
	cd gtk2/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/gtk2/gtk2.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-gtk2-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) gtk2/ || $(MKDIR) gtk2/ 
	cd gtk2/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/gtk2/gtk2.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-gtk2: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE)
sub-gtk2-make_default: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) 
sub-gtk2-make_first: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) first
sub-gtk2-all: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) all
sub-gtk2-clean: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) clean
sub-gtk2-distclean: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) distclean
sub-gtk2-install_subtargets: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) install
sub-gtk2-uninstall_subtargets: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: apps.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile apps.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
