=== debian/changelog ===
maliit-framework (0.81.4-maemo0) fremantle; urgency=low

  * Initial release for Fremantle

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Thu, 28 Feb 2013 18:58:19 +0100

maliit-framework (0.81.2.1-1+0m5) fremantle; urgency=low

  * New 0.81.X series

 -- Carlos Martin <cmartin@liberalia.net>  Tue, 06 Dec 2011 12:58:59 +0100

maliit-framework (0.80.5~git20110911-1+0m5.1) fremantle; urgency=low

  * Remove nokia binary deps

 -- Carlos Martin <cmartin@liberalia.net>  Sat, 15 Oct 2011 16:09:46 +0200

maliit-framework (0.80.5~git20110911-1+0m5) fremantle; urgency=low

  * New rebuild.

 -- Carlos Martin <cmartin@liberalia.net>  Sun, 11 Sep 2011 17:42:37 +0200

maliit-framework (0.80.5~git20110830-1+0m5.1) fremantle; urgency=low

  * Handle iconification of apps

 -- Carlos Martin <cmartin@liberalia.net>  Tue, 30 Aug 2011 22:16:03 +0200

maliit-framework (0.80.4-2+0m5.2) fremantle; urgency=low

  * New rebuild. Added upstream changes

 -- Carlos Martin <cmartin@liberalia.net>  Sun, 21 Aug 2011 09:56:29 +0200

maliit-framework (0.80.4-2+0m5.1) fremantle; urgency=low

  * New rebuild.

 -- Carlos Martin <cmartin@liberalia.net>  Thu, 18 Aug 2011 19:47:02 +0200

maliit-framework (0.80.4-1+0m5.1) fremantle; urgency=low

  * New rebuild.

 -- Carlos Martin <cmartin@liberalia.net>  Wed, 27 Jul 2011 18:34:44 +0200

maliit-framework (0.80.4-1+0m5) fremantle; urgency=low

  * New release.

 -- Carlos Martin <cmartin@liberalia.net>  Mon, 18 Jul 2011 23:11:10 +0200

maliit-framework (0.80.3-1+0m5) fremantle; urgency=low

  * Move sources to upstream project

 -- Carlos Martin <cmartin@liberalia.net>  Mon, 18 Jul 2011 18:50:52 +0200

meego-im-framework (0.20.16-1+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.20.16-1+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Mon, 23 May 2011 12:42:08 +0300

meego-im-framework (0.20.16-1) unstable; urgency=low

  * Fixes: NB#256039 - Settings layout adjustments needed

 -- Aapo Kojo <aapo.kojo@nokia.com>  Mon, 23 May 2011 12:42:07 +0300

meego-im-framework (0.20.15-1) unstable; urgency=low

  * Fixes: NB#235142
  * New API to provide information wheter plugin is enabled or not

 -- Viacheslav Sobolev <ext-viacheslav.sobolev@nokia.com>  Fri, 20 May 2011 10:24:37 +0300

meego-im-framework (0.20.14-1) unstable; urgency=low

  * Fixes: NB#242682 - Text input settings crashes during close if "Active input method" or "Installed keyboard" is being opened

 -- Csaba Kertesz <csaba.kertesz@vincit.fi>  Thu, 19 May 2011 08:52:00 +0200

meego-im-framework (0.20.13-1) unstable; urgency=low

  * Fixes: NB#255497 - the counterpart setting items should be hidden when the 3rd party plugin is disselected

 -- Aapo Kojo <aapo.kojo@nokia.com>  Wed, 18 May 2011 10:14:00 +0200

meego-im-framework (0.20.12-1) unstable; urgency=low

  * Fixes: NB#254375 - libmeegoimframework-doc does not contain any documentation

 -- Jan Arne Petersen <jpetersen@openismus.com>  Tue, 17 May 2011 11:21:00 +0300

meego-im-framework (0.20.11-1) unstable; urgency=low

  * Fixes: NB#250363 - A selection for available Input methods needed in Text input Setting

 -- Viacheslav Sobolev <ext-viacheslav.sobolev@nokia.com>  Thu, 12 May 2011 10:08:07 +0300

meego-im-framework (0.20.10-1) unstable; urgency=low

  * New release

 -- Aapo Kojo <aapo.kojo@nokia.com>  Wed, 11 May 2011 15:49:40 +0300

meego-im-framework (0.20.9-1) unstable; urgency=low

  * Fixes: NB#242682 - Text input settings crashes during close if "Active input method" or "Installed keyboard" is being opened

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Mon, 09 May 2011 11:15:40 +0300

meego-im-framework (0.20.8-1) unstable; urgency=low

  * Fixes: NB#227268 - [Performance] Virtual keyboard orientation switching is too slow

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Thu, 28 Apr 2011 13:27:35 +0300

meego-im-framework (0.20.7-1) unstable; urgency=low

  * Fixes: NB#241274 - VKB's self-composition breaks application UI while navigating between two MApplicationWindows
  * Fixes: SIP is open, focus is lost, immediately request SIP => SIP remains open
  * Changes: allow (non-pre-edit) cursor position to be set in pre-edit update

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 06 Apr 2011 16:32:51 +0300

meego-im-framework (0.20.6-1) unstable; urgency=low

  * Fixes: NB#237663 - <Other><UnitTest> proper debug symbols not available for meego-im-framework-tests

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 06 Apr 2011 14:37:04 +0300

meego-im-framework (0.20.5-1) unstable; urgency=low

  * Fixes: NB#238370 - <Safety> Invalid read reported in meego-im-uiserver valgrind logs

 -- huaming wang <huaming.wang@nokia.com>  Wed, 30 Mar 2011 10:35:01 +0300

meego-im-framework (0.20.4-1) unstable; urgency=low

  * Fixes: Rotation animation rotates to wrong orientation under high CPU load.
  * Fixes: NB#235179 - [SSU]:Error seen at 'ToolbarsManager: toolbar load error: "/usr/share/meegoimframework/imtoolbars/standard.xml" '

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Wed, 24 Mar 2011 12:37:37 +0200

meego-im-framework (0.20.3-1) unstable; urgency=low

  * Fixes: NB#237804 - Unable to view the entered text in any composer

 -- Kimmo Surakka <kimmo.surakka@nokia.com>  Mon, 21 Mar 2011 11:39:00 +0200

meego-im-framework (0.20.2-1) unstable; urgency=low

  * Fixes: NB#235678 - Orientation out of sync after rotation, then switching plugins
  * Fixes: NB#235607 - Text input settings view has too large title font

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 16 Mar 2011 15:37:30 +0200

meego-im-framework (0.20.1-1) unstable; urgency=low

  * Fixes: NB#231633 - [TASK] Improve Rotation Appearance of VKB

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Fri, 11 Mar 2011 11:31:00 +0200

meego-im-framework (0.20.0-1) unstable; urgency=low

  * New: Remove LMT dependencies from public API

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Tue, 08 Mar 2011 15:24:00 +0200


