=== debian/control ===
Source: maliit-framework
Section: libs
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Thomas-Karl Pietrowski <thopiekar@googlemail.com> 
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.7), libxcomposite-dev, libxfixes-dev, libxdamage-dev, libxext-dev, libdbus-glib-1-dev, libgconf2-dev, pkg-config, dpkg-dev, graphviz, doxygen
Standards-Version: 3.7.2

Package: maliit-framework
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, maliit-server (>= ${source:Version})
Recommends: maliit-inputcontext-qt4, maliit-inputcontext-gtk2, maliit-inputmethod-plugin
Description: Maliit Input Method Framework
 Maliit Input Method Framework

Package: maliit-framework-dev
Architecture: all
Section: libdevel
Depends: maliit-framework (>= ${source:Version})
Description: Maliit Input Method Framework - Development Files
 Maliit Input Method Framework

Package: maliit-server
Architecture: any
Conflicts: maliit-uiserver (<< 0.81.0)
Replaces: maliit-uiserver (<< 0.81.0)
Depends: libmaliit-plugins-quick0, ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Server
 Maliit Server

Package: maliit-server-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Server - Debug Symbols
 Maliit Server

Package: libmaliit-plugins0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit C++ Input Method Plugin Interface
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins0-dev
Section: libdevel
Architecture: all
Depends: libmaliit-plugins0 (>= ${source:Version}), maliit-framework-dev, libqt4-dev (>= 4.7)
Description: Maliit C++ Input Method Plugin Interface - Development files
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins0-dbg
Section: debug
Architecture: any
Depends: libmaliit-plugins0 (= ${binary:Version})
Description: Maliit C++ Input Method Plugin Interface - Debug symbols
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins-quick0
Architecture: any
Conflicts: libmaliitquick0 (<< 0.81.0)
Replaces: libmaliitquick0 (<< 0.81.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit C++ Input Method Plugin Interface
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins-quick0-dev
Section: libdevel
Architecture: all
Depends: libmaliit-plugins-quick0 (>= ${source:Version}), libmaliit-plugins0-dev, libqt4-dev (>= 4.7)
Description: Maliit C++ Input Method Plugin Interface - Development files
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins-quick0-dbg
Section: debug
Architecture: any
Depends: libmaliit-plugins-quick0 (= ${binary:Version})
Description: Maliit C++ Input Method Plugin Interface - Debug symbols
 Maliit C++ Input Method Plugin Interface

Package: maliit-inputcontext-qt4
Architecture: any
Conflicts: maliit-context (<< 0.81.0)
Replaces: maliit-context (<< 0.81.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit input context for Qt 4 applications
 Maliit input context for Qt 4 applications

Package: maliit-inputcontext-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit input context for GTK+ 2 applications
 Maliit input context for GTK+ 2 applications

Package: libmaliit1
Section: libs
Architecture: any
Conflicts: libmaliitframework0 (<< 0.81.1)
Replaces: libmaliitframework0 (<< 0.81.1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit input method extension library for Qt applications
 Maliit input method extension library for Qt applications

Package: libmaliit1-dbg
Section: debug
Architecture: any
Depends: libmaliit1 (= ${binary:Version})
Description: Maliit input method extension library for Qt applications - Debug symbols
 Maliit input method extension library for Qt applications

Package: libmaliit1-dev
Section: libdevel
Architecture: all
Depends: libmaliit1 (>= ${source:Version}), maliit-framework-dev, libqt4-dev (>= 4.7)
Description: Maliit input method extension library for Qt applications - development files
 Maliit input method extension library for Qt applications - development files

Package: maliit-framework-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Technical documentation of Maliit Input Method Framework
 Technical documentation of Maliit Input Method Framework
 Includes API reference and internal documentations.
