=== debian/watch ===
version=3
http://sleipnir.liberalia.net/downloads/sources/maliit-framework-([0-9.git~]*).tar.gz
